$theme_green: #36834f;
$theme_red: #d6424a;
$theme_blue: #007cbc;
$white: #ffffff;
$black: #000000;
$red: red;

$primary-color-set-light: (
    50: #e9f3e0,
    100: #c8e1b3,
    200: #a4ce80,
    300: #80ba4d,
    400: #64ab26,
    500: #499c00,
    600: #429400,
    700: #398a00,
    800: #318000,
    900: #216e00,
    A100: #b2ff9d,
    A200: #8aff6a,
    A400: #61ff37,
    A700: #4dff1e,
);



$primary-color-set : (
    50 : #eaf7ef,
    100 : #cbead8,
    200 : #a9dcbe,
    300 : #87cea4,
    400 : #6dc491,
    500 : #53b97d,
    600 : #4cb275,
    700 : #42aa6a,
    800 : #39a260,
    900 : #29934d,
    A100 : #d5ffe3,
    A200 : #a2ffc0,
    A400 : #6fff9d,
    A700 : #56ff8c,
);

$primary-color-set-dark: (
    50: #e4ecf5,
    100: #bbcee6,
    200: #8eaed6,
    300: #618ec5,
    400: #3f75b8,
    500: #1d5dac,
    600: #1a55a5,
    700: #154b9b,
    800: #114192,
    900: #0a3082,
    A100: #b2c6ff,
    A200: #7fa1ff,
    A400: #4c7bff,
    A700: #3269ff,
);


$secondary-color-set: (
    50: #e1eaea,
    100: #b5ccca,
    200: #83aaa6,
    300: #518782,
    400: #2c6e68,
    500: #07544d,
    600: #064d46,
    700: #05433d,
    800: #043a34,
    900: #022925,
    A100: #63ffe8,
    A200: #30ffe0,
    A400: #00fcd7,
    A700: #00e3c1,
);

$info-color-set: (
    50: #e9f0f1,
    100: #c7d9dd,
    200: #a2c0c7,
    300: #7da7b0,
    400: #61949f,
    500: #45818e,
    600: #3e7986,
    700: #366e7b,
    800: #2e6471,
    900: #1f515f,
    A100: #9fe9ff,
    A200: #6cddff,
    A400: #39d2ff,
    A700: #1fccff,
);


$warning-color-set: (
    50: #fff1e0,
    100: #feddb3,
    200: #fdc680,
    300: #fcaf4d,
    400: #fc9d26,
    500: #fb8c00,
    600: #fa8400,
    700: #fa7900,
    800: #f96f00,
    900: #f85c00,
    A100: #ffffff,
    A200: #fff1eb,
    A400: #ffceb8,
    A700: #ffbc9f,
);

$success-color-set: (
    50: #e8f4e9,
    100: #c7e3c8,
    200: #a1d0a3,
    300: #7bbd7e,
    400: #5fae63,
    500: #43a047,
    600: #3d9840,
    700: #348e37,
    800: #2c842f,
    900: #1e7320,
    A100: #b0ffb2,
    A200: #7dff80,
    A400: #4aff4e,
    A700: #30ff35,
);

$danger-color-set: (
    50: #fce7e7,
    100: #f7c4c2,
    200: #f29c9a,
    300: #ed7472,
    400: #e95753,
    500: #e53935,
    600: #e23330,
    700: #de2c28,
    800: #da2422,
    900: #d31716,
    A100: #ffffff,
    A200: #ffd1d1,
    A400: #ff9f9e,
    A700: #ff8585,
);

$violet-color-set: (
    50: #f1e5f5,
    100: #ddbde6,
    200: #c792d5,
    300: #b066c4,
    400: #9f45b7,
    500: #8e24aa,
    600: #8620a3,
    700: #7b1b99,
    800: #711690,
    900: #5f0d7f,
    A100: #e6b1ff,
    A200: #d67eff,
    A400: #c64bff,
    A700: #be31ff,
);

$gray-color-set: (
    50: #f3f3f3,
    100: #e2e2e2,
    200: #cfcfcf,
    300: #bbbbbb,
    400: #adadad,
    500: #9e9e9e,
    600: #969696,
    700: #8c8c8c,
    800: #828282,
    900: #707070,
    A100: #fef3f3,
    A200: #f9c5c5,
    A400: #ff8b8b,
    A700: #ff7272,
);


$pink-color-set: (
    50: #fee9ed,
    100: #fdc9d1,
    200: #fca5b2,
    300: #fb8193,
    400: #fa667c,
    500: #f94b65,
    600: #f8445d,
    700: #f73b53,
    800: #f63349,
    900: #f52337,
    A100: #ffffff,
    A200: #fffbfb,
    A400: #ffc8cc,
    A700: #ffaeb5,
);


$custom-eucalyptus-flower: (
    50 : #f5fafc,
    100 : #e6f3f8,
    200 : #d6ecf3,
    300 : #c6e4ee,
    400 : #b9deea,
    500 : #add8e6,
    600 : #a6d4e3,
    700 : #9ccedf,
    800 : #93c8db,
    900 : #83bfd5,
    A100 : #ffffff,
    A200 : #ffffff,
    A400 : #fafeff,
    A700 : #e0f6ff,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #000000,
        800 : #000000,
        900 : #000000,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$custom-flex: (
    50 : #fdfbf0,
    100 : #faf5da,
    200 : #f7eec1,
    300 : #f3e7a8,
    400 : #f1e195,
    500 : #eedc82,
    600 : #ecd87a,
    700 : #e9d36f,
    800 : #e7ce65,
    900 : #e2c552,
    A100 : #ffffff,
    A200 : #ffffff,
    A400 : #fff7db,
    A700 : #fff2c2,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #000000,
        800 : #000000,
        900 : #000000,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$custom-heaven: (
    50 : #f6f6fd,
    100 : #e9e7f9,
    200 : #dad8f6,
    300 : #cbc8f2,
    400 : #bfbcef,
    500 : #b4b0ec,
    600 : #ada9ea,
    700 : #a4a0e7,
    800 : #9c97e4,
    900 : #8c87df,
    A100 : #ffffff,
    A200 : #ffffff,
    A400 : #ffffff,
    A700 : #eeedff,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #000000,
        800 : #000000,
        900 : #000000,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);


$custom-jackpot: (
    50 : #e3eae9,
    100 : #b9cbc8,
    200 : #8aa9a3,
    300 : #5b877e,
    400 : #376d62,
    500 : #145346,
    600 : #124c3f,
    700 : #0e4237,
    800 : #0b392f,
    900 : #062920,
    A100 : #64ffcf,
    A200 : #31ffbf,
    A400 : #00fdaf,
    A700 : #00e49d,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #ffffff,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);


$custom-kashmir-blue: (
    50 : #eaeef2,
    100 : #cbd4e0,
    200 : #a8b8cb,
    300 : #859bb6,
    400 : #6a85a6,
    500 : #507096,
    600 : #49688e,
    700 : #405d83,
    800 : #375379,
    900 : #274168,
    A100 : #adccff,
    A200 : #7aacff,
    A400 : #478dff,
    A700 : #2d7dff,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #ffffff,
    )
);


$custom-mix-thunder: (
    50 : #edf6f1,
    100 : #d1eadd,
    200 : #b3dcc6,
    300 : #95cdaf,
    400 : #7ec39e,
    500 : #67b88d,
    600 : #5fb185,
    700 : #54a87a,
    800 : #4aa070,
    900 : #39915d,
    A100 : #e0ffec,
    A200 : #adffcd,
    A400 : #7affae,
    A700 : #60ff9f,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #000000,
        800 : #000000,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$custom-navy-blue: (
    50 : #e0e0f0,
    100 : #b3b3d9,
    200 : #8080c0,
    300 : #4d4da6,
    400 : #262693,
    500 : #000080,
    600 : #000078,
    700 : #00006d,
    800 : #000063,
    900 : #000050,
    A100 : #8383ff,
    A200 : #5050ff,
    A400 : #1d1dff,
    A700 : #0303ff,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #ffffff,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #ffffff,
        A400 : #ffffff,
        A700 : #ffffff,
    )
);


$custom-quartz: (
    50 : #eae9ea,
    100 : #cbc8ca,
    200 : #a8a4a7,
    300 : #857f84,
    400 : #6b6369,
    500 : #51484f,
    600 : #4a4148,
    700 : #40383f,
    800 : #373036,
    900 : #272126,
    A100 : #f979df,
    A200 : #f648d4,
    A400 : #ff0dcf,
    A700 : #f200c2,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #ffffff,
        A700 : #ffffff,
    )
);


$custom-salmon: (
    50 : #fff1ed,
    100 : #ffddd2,
    200 : #ffc6b4,
    300 : #ffaf96,
    400 : #ff9d80,
    500 : #ff8c69,
    600 : #ff8461,
    700 : #ff7956,
    800 : #ff6f4c,
    900 : #ff5c3b,
    A100 : #ffffff,
    A200 : #ffffff,
    A400 : #ffe8e4,
    A700 : #ffd2ca,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #000000,
        800 : #000000,
        900 : #000000,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);


$custom-ultramarine: (
    50 : #e3e2f2,
    100 : #b8b6dd,
    200 : #8985c7,
    300 : #5954b1,
    400 : #362fa0,
    500 : #120a8f,
    600 : #100987,
    700 : #0d077c,
    800 : #0a0572,
    900 : #050360,
    A100 : #9290ff,
    A200 : #605dff,
    A400 : #2e2aff,
    A700 : #1411ff,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #ffffff,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #ffffff,
        A400 : #ffffff,
        A700 : #ffffff,
    )
);

$custom-Viridian: (
    50 : #e7f3ed,
    100 : #c2e0d1,
    200 : #99ccb3,
    300 : #70b894,
    400 : #52a87d,
    500 : #339966,
    600 : #2e915e,
    700 : #278653,
    800 : #207c49,
    900 : #146b38,
    A100 : #a2ffc5,
    A200 : #6fffa5,
    A400 : #3cff84,
    A700 : #23ff74,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$custom-wisteria: (
    50 : #f9f4fb,
    100 : #efe3f5,
    200 : #e4d0ee,
    300 : #d9bde7,
    400 : #d1aee1,
    500 : #c9a0dc,
    600 : #c398d8,
    700 : #bc8ed3,
    800 : #b584ce,
    900 : #a973c5,
    A100 : #ffffff,
    A200 : #ffffff,
    A400 : #f3dcff,
    A700 : #eac3ff,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #000000,
        800 : #000000,
        900 : #000000,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);


$custom-xanadu: (
    50 : #eef0ef,
    100 : #d5dbd7,
    200 : #b9c3bc,
    300 : #9daaa1,
    400 : #88988c,
    500 : #738678,
    600 : #6b7e70,
    700 : #607365,
    800 : #56695b,
    900 : #435648,
    A100 : #b5fdc8,
    A200 : #83fca3,
    A400 : #4dff7c,
    A700 : #34ff69,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$custom-zomp: (
    50 : #e7f4f1,
    100 : #c4e5dd,
    200 : #9cd3c7,
    300 : #74c1b0,
    400 : #57b49f,
    500 : #39a78e,
    600 : #339f86,
    700 : #2c967b,
    800 : #248c71,
    900 : #177c5f,
    A100 : #b3ffe8,
    A200 : #80ffd8,
    A400 : #4dffc8,
    A700 : #34ffc0,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);


// declare the variables

$primary-light : map-get($primary-color-set, 200);
$primary : map-get($primary-color-set, 500);
$primary-dark : map-get($primary-color-set, 800);

$secondary-light : map-get($secondary-color-set, 200);
$secondary : map-get($secondary-color-set, 500);
$secondary-dark : map-get($secondary-color-set, 800);

$info-light : map-get($info-color-set, 200);
$info : map-get($info-color-set, 500);
$info-dark : map-get($info-color-set, 800);

$warning-light : map-get($warning-color-set, 200);
$warning : map-get($warning-color-set, 500);
$warning-dark : map-get($warning-color-set, 800);

$success-light : map-get($success-color-set, 200);
$success : map-get($success-color-set, 500);
$success-dark : map-get($success-color-set, 800);

$danger-light : map-get($danger-color-set, 200);
$danger : map-get($danger-color-set, 500);
$danger-dark : map-get($danger-color-set, 800);

$violet-light : map-get($violet-color-set, 200);
$violet : map-get($violet-color-set, 500);
$violet-dark : map-get($violet-color-set, 800);

$gray-light : map-get($gray-color-set, 200);
$gray : map-get($gray-color-set, 500);
$gray-dark : map-get($gray-color-set, 800);

$pink-light : map-get($pink-color-set, 200);
$pink : map-get($pink-color-set, 500);
$pink-dark : map-get($pink-color-set, 800);
